﻿<center class="modal-for-crud">
    <h2 class="primary">{{vm.TitleModal}}</h2>
    <span class="field-required" style="font-size: 10px;">* Campos de preenchimento obrigatório</span>

    <form name="formMaintenanceTicket"
          class="navbar-form"
          role="search"
          style="display: inline-table;">

        <div class="pull-left">
            <div class="form-group">
                <label>Tipo do Veículo<span class="field-required">*</span></label>
                <select ng-model="vm.ticket.institutionId"
                        ng-change="vm.ChangeInstitution(vm.ticket.institutionId)"
                        ng-disabled="vm.ticket.id"
                        required
                        class="form-control"
                        ng-options="e.id as e.description
                                    for e in vm.Institutions"></select>
            </div>
            <div class="form-group">
                <label>Placa do Veículo</label>
                <input ng-model="vm.ticket.title"
                       ng-disabled="vm.ticket.id"
                       type="text"
                       class="form-control">
            </div>
            <div class="form-group">
                <label>Observação sobre o Cliente<span class="field-required">*</span></label>
                <textarea ng-model="vm.ticket.description"
                          ng-disabled="vm.ticket.id"
                          class="form-control"
                          maxlength="2000"
                          required
                          rows="2"></textarea>
            </div>
        </div>
        <div class="pull-right">
            <div class="form-group">
                <label>Situação</label>
                <select ng-model="vm.ticket.situation" class="form-control" ng-disabled="vm.ClosedOrRemoved">
                    <option value="50">50%</option>
                    <option value="75">75%</option>
                    <option value="100">100%</option>
                    <option value="0">Parado</option>
                </select>
            </div>
            <div class="form-group">
                <label>Prioridade</label>
                <select ng-model="vm.ticket.priority" class="form-control" ng-disabled="vm.ClosedOrRemoved">
                    <option value="b">Baixa</option>
                    <option value="n">Normal</option>
                    <option value="a">Alta</option>
                </select>
            </div>
            <div class="form-group" style="display: block;">
                <div style="float: left; width: 45%;">
                    <label>Data/Hora da Entrada</label>
                    <input ng-model="vm.ticket.dateOcurrence"
                           ng-disabled="vm.ClosedOrRemoved"
                           type="text"
                           class="form-control"
                           datetime="dd/MM/yyyy HH:mm" />
                </div>
                <div style="float: right; width: 45%;">
                    <label>Previsão de Saída</label>
                    <input ng-model="vm.ticket.prediction"
                           ng-disabled="vm.ClosedOrRemoved"
                           type="text"
                           class="form-control"
                           datetime="dd/MM/yyyy HH:mm" />
                </div>
            </div>
            <div class="form-group">
                <label>Cliente<span class="field-required">*</span></label>
                <select ng-model="vm.ticket.responsableId"
                        ng-disabled="vm.ClosedOrRemoved"
                        required
                        class="form-control"
                        ng-options="r.id as r.name
                                    for r in vm.Responsables"></select>
            </div>
        </div>
        <hr />
        <div class="footer-buttons">
            <button type="button"
                    ng-if="!vm.ClosedOrRemoved"
                    ng-click="vm.SaveTicket()"
                    ng-disabled="formMaintenanceTicket.$invalid"
                    class="btn btn-primary">
                Salvar Ticket
            </button>
        </div>
    </form>
</center>
